Index: uspace/lib/drv/generic/driver.c
===================================================================
--- uspace/lib/drv/generic/driver.c	(revision 3be9d10120f7923a0b3d52282b8de0b670566c71)
+++ uspace/lib/drv/generic/driver.c	(revision eed4139909f4e93017245a6736941de6564db9fe)
@@ -118,5 +118,5 @@
 }
 
-static void driver_dev_add(cap_call_handle_t iid, ipc_call_t *icall)
+static void driver_dev_add(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	devman_handle_t dev_handle = IPC_GET_ARG1(*icall);
@@ -126,5 +126,5 @@
 	errno_t rc = async_data_write_accept((void **) &dev_name, true, 0, 0, 0, 0);
 	if (rc != EOK) {
-		async_answer_0(iid, rc);
+		async_answer_0(icall_handle, rc);
 		return;
 	}
@@ -134,5 +134,5 @@
 	if (stopping) {
 		fibril_rwlock_read_unlock(&stopping_lock);
-		async_answer_0(iid, EIO);
+		async_answer_0(icall_handle, EIO);
 		return;
 	}
@@ -142,5 +142,5 @@
 		fibril_rwlock_read_unlock(&stopping_lock);
 		free(dev_name);
-		async_answer_0(iid, ENOMEM);
+		async_answer_0(icall_handle, ENOMEM);
 		return;
 	}
@@ -162,5 +162,5 @@
 		fibril_rwlock_read_unlock(&stopping_lock);
 		dev_del_ref(dev);
-		async_answer_0(iid, res);
+		async_answer_0(icall_handle, res);
 		return;
 	}
@@ -171,8 +171,8 @@
 	fibril_rwlock_read_unlock(&stopping_lock);
 
-	async_answer_0(iid, res);
-}
-
-static void driver_dev_remove(cap_call_handle_t iid, ipc_call_t *icall)
+	async_answer_0(icall_handle, res);
+}
+
+static void driver_dev_remove(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	devman_handle_t devh = IPC_GET_ARG1(*icall);
@@ -185,5 +185,5 @@
 
 	if (dev == NULL) {
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -204,8 +204,8 @@
 
 	dev_del_ref(dev);
-	async_answer_0(iid, rc);
-}
-
-static void driver_dev_gone(cap_call_handle_t iid, ipc_call_t *icall)
+	async_answer_0(icall_handle, rc);
+}
+
+static void driver_dev_gone(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	devman_handle_t devh = IPC_GET_ARG1(*icall);
@@ -218,5 +218,5 @@
 
 	if (dev == NULL) {
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -237,8 +237,8 @@
 
 	dev_del_ref(dev);
-	async_answer_0(iid, rc);
-}
-
-static void driver_fun_online(cap_call_handle_t iid, ipc_call_t *icall)
+	async_answer_0(icall_handle, rc);
+}
+
+static void driver_fun_online(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	devman_handle_t funh = IPC_GET_ARG1(*icall);
@@ -258,5 +258,5 @@
 
 	if (fun == NULL) {
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -272,8 +272,8 @@
 	fun_del_ref(fun);
 
-	async_answer_0(iid, rc);
-}
-
-static void driver_fun_offline(cap_call_handle_t iid, ipc_call_t *icall)
+	async_answer_0(icall_handle, rc);
+}
+
+static void driver_fun_offline(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	devman_handle_t funh = IPC_GET_ARG1(*icall);
@@ -293,5 +293,5 @@
 
 	if (fun == NULL) {
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -305,8 +305,8 @@
 		rc = ENOTSUP;
 
-	async_answer_0(iid, rc);
-}
-
-static void driver_stop(cap_call_handle_t iid, ipc_call_t *icall)
+	async_answer_0(icall_handle, rc);
+}
+
+static void driver_stop(cap_call_handle_t icall_handle, ipc_call_t *icall)
 {
 	/* Prevent new devices from being added */
@@ -321,5 +321,5 @@
 		stopping = false;
 		fibril_rwlock_write_unlock(&stopping_lock);
-		async_answer_0(iid, EBUSY);
+		async_answer_0(icall_handle, EBUSY);
 		return;
 	}
@@ -333,17 +333,17 @@
 
 	/* Reply with success and terminate */
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 	exit(0);
 }
 
-static void driver_connection_devman(cap_call_handle_t iid, ipc_call_t *icall,
+static void driver_connection_devman(cap_call_handle_t icall_handle, ipc_call_t *icall,
     void *arg)
 {
 	/* Accept connection */
-	async_answer_0(iid, EOK);
+	async_answer_0(icall_handle, EOK);
 
 	while (true) {
 		ipc_call_t call;
-		cap_call_handle_t callid = async_get_call(&call);
+		cap_call_handle_t chandle = async_get_call(&call);
 
 		if (!IPC_GET_IMETHOD(call))
@@ -352,23 +352,23 @@
 		switch (IPC_GET_IMETHOD(call)) {
 		case DRIVER_DEV_ADD:
-			driver_dev_add(callid, &call);
+			driver_dev_add(chandle, &call);
 			break;
 		case DRIVER_DEV_REMOVE:
-			driver_dev_remove(callid, &call);
+			driver_dev_remove(chandle, &call);
 			break;
 		case DRIVER_DEV_GONE:
-			driver_dev_gone(callid, &call);
+			driver_dev_gone(chandle, &call);
 			break;
 		case DRIVER_FUN_ONLINE:
-			driver_fun_online(callid, &call);
+			driver_fun_online(chandle, &call);
 			break;
 		case DRIVER_FUN_OFFLINE:
-			driver_fun_offline(callid, &call);
+			driver_fun_offline(chandle, &call);
 			break;
 		case DRIVER_STOP:
-			driver_stop(callid, &call);
+			driver_stop(chandle, &call);
 			break;
 		default:
-			async_answer_0(callid, ENOTSUP);
+			async_answer_0(chandle, ENOTSUP);
 		}
 	}
@@ -381,5 +381,5 @@
  *
  */
-static void driver_connection_gen(cap_call_handle_t iid, ipc_call_t *icall, bool drv)
+static void driver_connection_gen(cap_call_handle_t icall_handle, ipc_call_t *icall, bool drv)
 {
 	/*
@@ -398,5 +398,5 @@
 		printf("%s: driver_connection_gen error - no function with handle"
 		    " %" PRIun " was found.\n", driver->name, handle);
-		async_answer_0(iid, ENOENT);
+		async_answer_0(icall_handle, ENOENT);
 		return;
 	}
@@ -404,5 +404,5 @@
 	if (fun->conn_handler != NULL) {
 		/* Driver has a custom connection handler. */
-		(*fun->conn_handler)(iid, icall, (void *)fun);
+		(*fun->conn_handler)(icall_handle, icall, (void *)fun);
 		fun_del_ref(fun);
 		return;
@@ -419,5 +419,5 @@
 		ret = (*fun->ops->open)(fun);
 
-	async_answer_0(iid, ret);
+	async_answer_0(icall_handle, ret);
 	if (ret != EOK) {
 		fun_del_ref(fun);
@@ -426,7 +426,7 @@
 
 	while (true) {
-		cap_call_handle_t callid;
+		cap_call_handle_t chandle;
 		ipc_call_t call;
-		callid = async_get_call(&call);
+		chandle = async_get_call(&call);
 		sysarg_t method = IPC_GET_IMETHOD(call);
 
@@ -435,5 +435,5 @@
 			if (fun->ops != NULL && fun->ops->close != NULL)
 				(*fun->ops->close)(fun);
-			async_answer_0(callid, EOK);
+			async_answer_0(chandle, EOK);
 			fun_del_ref(fun);
 			return;
@@ -448,5 +448,5 @@
 			    function_get_default_handler(fun);
 			if (default_handler != NULL) {
-				(*default_handler)(fun, callid, &call);
+				(*default_handler)(fun, chandle, &call);
 				continue;
 			}
@@ -459,5 +459,5 @@
 			    "invalid interface id %d.",
 			    driver->name, iface_idx);
-			async_answer_0(callid, ENOTSUP);
+			async_answer_0(chandle, ENOTSUP);
 			continue;
 		}
@@ -471,5 +471,5 @@
 			printf("Function with handle %" PRIun " has no interface "
 			    "with id %d.\n", handle, iface_idx);
-			async_answer_0(callid, ENOTSUP);
+			async_answer_0(chandle, ENOTSUP);
 			continue;
 		}
@@ -490,5 +490,5 @@
 			printf("%s: driver_connection_gen error - "
 			    "invalid interface method.", driver->name);
-			async_answer_0(callid, ENOTSUP);
+			async_answer_0(chandle, ENOTSUP);
 			continue;
 		}
@@ -500,18 +500,18 @@
 		 * associated with the function by its driver.
 		 */
-		(*iface_method_ptr)(fun, ops, callid, &call);
-	}
-}
-
-static void driver_connection_driver(cap_call_handle_t iid, ipc_call_t *icall,
+		(*iface_method_ptr)(fun, ops, chandle, &call);
+	}
+}
+
+static void driver_connection_driver(cap_call_handle_t icall_handle, ipc_call_t *icall,
     void *arg)
 {
-	driver_connection_gen(iid, icall, true);
-}
-
-static void driver_connection_client(cap_call_handle_t iid, ipc_call_t *icall,
+	driver_connection_gen(icall_handle, icall, true);
+}
+
+static void driver_connection_client(cap_call_handle_t icall_handle, ipc_call_t *icall,
     void *arg)
 {
-	driver_connection_gen(iid, icall, false);
+	driver_connection_gen(icall_handle, icall, false);
 }
 
